
/* servo_test
 * 
 * Szervó motorok próbája: a D2 és a D3 kimenetekre kötött szervó motorokat mozgatjuk
 * megadott határok között oda-vissza.
 */
#include <Servo.h>

Servo servo1;          // Jobbr-balra forgatás
Servo servo2;          // le-fel forgatás

int pos = 0;           // a pozíciót tartalmazó változó

void setup() {
  servo1.attach(2);    // Szervó 1. a D2 kimenetre van kötve
  servo2.attach(3);    // Szervó 2. a D3 kimenetre van kötve
}

void loop() {
  //--- Első szervó mozgatás (horizontális forgatás) --------
  for (pos = 60; pos <= 160; pos += 5) { // 60-tól 160 fokig forgatjuk, 5 fokonként
    servo1.write(pos);                   // szervó beállítása az adott pozícióba
    delay(30);                           // várunk egy kicsit, hogy beálljon a pozícióba
  }
  for (pos = 160; pos >= 60; pos -= 5) { // 160-tól 60 fokig lépked visszafelé
    servo1.write(pos);                   // szervó beállítása az adott pozícióba
    delay(30);                           // várunk egy kicsit, hogy beálljon a pozícióba
  }
  delay(2000);
  //--- Második szervó mozgatás (le-föl fordítás) -----------
  for (pos = 90; pos <= 160; pos += 5) { // 90-től 160 fokig forgatjuk, 5 fokonként
    servo2.write(pos);                   // szervó beállítása az adott pozícióba
    delay(30);                           // várunk egy kicsit, hogy beálljon a pozícióba
  }
  for (pos = 160; pos >= 90; pos -= 5) { // 160-tól 90 fokig lépked visszafelé
    servo2.write(pos);                   // szervó beállítása az adott pozícióba
    delay(30);                           // várunk egy kicsit, hogy beálljon a pozícióba
  }  
  delay(2000);
}
